import React from 'react';
import { Props } from './Number.types';
declare const components: {
    AddonBox: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<{
        sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    } & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
        className?: string | undefined;
    } & {
        children?: React.ReactNode;
        as?: any;
    } & React.RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {
        position?: "left" | "right" | undefined;
        variant?: "normal" | "quiet" | undefined;
    }, never>;
    Input: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<HTMLInputElement>>, import("styled-components").DefaultTheme, {
        type: string;
    } & Partial<Props>, "type">;
    Stepper: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {
        type: "button";
    } & Partial<Props>, "type">;
    Wrapper: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<{
        sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    } & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
        className?: string | undefined;
    } & {
        children?: React.ReactNode;
        as?: any;
    } & React.RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {}, never>;
};
export declare const Number: React.FC<Props> & {
    components: typeof components;
};
export {};
